OpenShot Audio Library | OpenShotAudio: juce::MPEZoneLayout::Zone Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::MPEZoneLayout::Zone Struct Reference

`#include <juce_MPEZoneLayout.h>`

## Public Member Functions
| Zone (const Zone &other)=default
bool | isLowerZone () const noexcept
bool | isUpperZone () const noexcept
bool | isActive () const noexcept
int | getMasterChannel () const noexcept
int | getFirstMemberChannel () const noexcept
int | getLastMemberChannel () const noexcept
bool | isUsingChannelAsMemberChannel (int channel) const noexcept
bool | isUsing (int channel) const noexcept
bool | operator== (const Zone &other) const noexcept
bool | operator!= (const Zone &other) const noexcept

## Public Attributes
int | numMemberChannels
int | perNotePitchbendRange
int | masterPitchbendRange

## Detailed Description

This struct represents an MPE zone.

It can either be a lower or an upper zone, where:

- A lower zone encompasses master channel 1 and an arbitrary number of ascending MIDI channels, increasing from channel 2.
- An upper zone encompasses master channel 16 and an arbitrary number of descending MIDI channels, decreasing from channel 15.

It also defines a pitchbend range (in semitones) to be applied for per-note pitchbends and master pitchbends, respectively.

Definition at line 81 of file juce_MPEZoneLayout.h.

## Member Function Documentation

## ◆ getFirstMemberChannel()

int juce::MPEZoneLayout::Zone::getFirstMemberChannel | ( |  | ) | const
| inlinenoexcept

Definition at line 91 of file juce_MPEZoneLayout.h.

## ◆ getLastMemberChannel()

int juce::MPEZoneLayout::Zone::getLastMemberChannel | ( |  | ) | const
| inlinenoexcept

Definition at line 92 of file juce_MPEZoneLayout.h.

## ◆ getMasterChannel()

int juce::MPEZoneLayout::Zone::getMasterChannel | ( |  | ) | const
| inlinenoexcept

Definition at line 90 of file juce_MPEZoneLayout.h.

## ◆ isActive()

bool juce::MPEZoneLayout::Zone::isActive | ( |  | ) | const
| inlinenoexcept

Definition at line 88 of file juce_MPEZoneLayout.h.

## ◆ isLowerZone()

bool juce::MPEZoneLayout::Zone::isLowerZone | ( |  | ) | const
| inlinenoexcept

Definition at line 85 of file juce_MPEZoneLayout.h.

## ◆ isUpperZone()

bool juce::MPEZoneLayout::Zone::isUpperZone | ( |  | ) | const
| inlinenoexcept

Definition at line 86 of file juce_MPEZoneLayout.h.

## ◆ isUsing()

bool juce::MPEZoneLayout::Zone::isUsing | ( | int | channel | ) | const
| inlinenoexcept

Definition at line 101 of file juce_MPEZoneLayout.h.

## ◆ isUsingChannelAsMemberChannel()

bool juce::MPEZoneLayout::Zone::isUsingChannelAsMemberChannel | ( | int | channel | ) | const
| inlinenoexcept

Definition at line 95 of file juce_MPEZoneLayout.h.

## ◆ operator!=()

bool juce::MPEZoneLayout::Zone::operator!= | ( | const Zone & | other | ) | const
| inlinenoexcept

Definition at line 111 of file juce_MPEZoneLayout.h.

## ◆ operator==()

bool juce::MPEZoneLayout::Zone::operator== | ( | const Zone & | other | ) | const
| inlinenoexcept

Definition at line 106 of file juce_MPEZoneLayout.h.

## Member Data Documentation

## ◆ masterPitchbendRange

int juce::MPEZoneLayout::Zone::masterPitchbendRange

Definition at line 115 of file juce_MPEZoneLayout.h.

## ◆ numMemberChannels

int juce::MPEZoneLayout::Zone::numMemberChannels

Definition at line 113 of file juce_MPEZoneLayout.h.

## ◆ perNotePitchbendRange

int juce::MPEZoneLayout::Zone::perNotePitchbendRange

Definition at line 114 of file juce_MPEZoneLayout.h.

The documentation for this struct was generated from the following file:

- juce_MPEZoneLayout.h